#ifndef DOCK_H
#define DOCK_H

#define BLINK_THRESHOLD 0.95

extern gint return_to_fsm_timeout;
extern gboolean fsm_skip_root_only_volumes;
extern gboolean pager_skip_root_only_volumes;

#include "udisks.h"

void udisks_connection_changed(const char *udisks_version);
void volume_added(udisks_volume *v, gboolean connecting);
void volume_updated(udisks_volume *v);
void fsm_updated(void);
void volume_removed(int idx, udisks_volume *v, gboolean disconnecting);

void create_dock_icon(void);
void redraw_dock(void);

void dock_action_callback(udisks_volume *v, gpointer ret, gpointer data, gboolean failed, GError *err);

void mount_button_click();
void eject_button_click();
void left_button_click();
void right_button_click();

struct notify_actions *dock_actions_for_volume(udisks_volume *v);
void dock_action_goto(udisks_volume *v);
void dock_action_mount(udisks_volume *v);
void dock_action_eject(udisks_volume *v);

#endif
